Bug 1410719 - [GSS] [RFE] glusterfs-ganesha package installation need to work when glusterfs process running
Summary: [GSS] [RFE] glusterfs-ganesha package installation need to work when glusterf...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build
Version: rhgs-3.1
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Milind Changire
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On:
Blocks: 1468983 1408949 RHGS-3.4-GSS-proposed-tracker 1503132
TreeView+ depends on / blocked
 
Reported: 2017-01-06 08:48 UTC by Riyas Abdulrasak
Modified: 2018-09-07 07:15 UTC (History)
13 users (show)

Fixed In Version: glusterfs-3.12.2-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:29:55 UTC
rnalakka: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:32:05 UTC

Description Riyas Abdulrasak 2017-01-06 08:48:48 UTC
Description of problem:

glustterfs-ganesha installation requires glusterfs processes to be stopped. We should support glusterfs-ganesha installation without stopping glusterfs processes running. 

~~~~~~~~~
Running Transaction
Error in PRETRANS scriptlet in rpm package glusterfs-ganesha-3.7.9-12.el6rhs.x86_64
error: lua script failed: Detected running glusterfs processes
~~~~~~~~~

Version-Release number of selected component (if applicable):

RHGS 3.1.3

How reproducible:

Always


Steps to Reproduce:
1. Try to install glusterfs-ganesha while glusterd is running. 

Actual results:

We get the below error 


~~~~~~~~~
Running Transaction
Error in PRETRANS scriptlet in rpm package glusterfs-ganesha-3.7.9-12.el6rhs.x86_64
error: lua script failed: Detected running glusterfs processes
~~~~~~~~~

Expected results:

glusterfs-ganesha installation should proceed even glusterfsd is running. 

Additional info:

Comment 5 Kaleb KEITHLEY 2017-01-06 09:58:53 UTC
As Jiffin notes, there is no technical reason why glusterfs-ganesha cannot be installed while gluster is running.

This is a packaging issue. Resetting component accordingly.

Comment 12 Kaleb KEITHLEY 2017-11-30 11:34:52 UTC
yes, removing the %pretrans lua script for the -ganesha subpackage should be fine.

Comment 15 Manisha Saini 2018-02-16 13:34:50 UTC
Verified this with build-

glusterfs-3.12.2-4.el7rhgs.x86_64
glusterfs-ganesha-3.12.2-4.el7rhgs.x86_64

While glusterfs process is running,installation of glusterfs ganesha packages works fine.
Hence moving this BZ to verified state.

Comment 16 errata-xmlrpc 2018-09-04 06:29:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.